4.4.0版本发布

pull/313/head v4.4.0
陈精华 2025-01-16 10:44:41 +08:00
parent 8c763599fe
commit 1d39360c60
No known key found for this signature in database
GPG Key ID: 30BDC970902B755D
11 changed files with 64 additions and 24 deletions

View File

@ -1,4 +1,4 @@
FROM keking/kkfileview-base:4.4.0
ADD server/target/kkFileView-*.tar.gz /opt/
ENV KKFILEVIEW_BIN_FOLDER=/opt/kkFileView-4.4.0-beta/bin
ENTRYPOINT ["java","-Dfile.encoding=UTF-8","-Dspring.config.location=/opt/kkFileView-4.4.0-beta/config/application.properties","-jar","/opt/kkFileView-4.4.0-beta/bin/kkFileView-4.4.0-beta.jar"]
ENV KKFILEVIEW_BIN_FOLDER=/opt/kkFileView-4.4.0/bin
ENTRYPOINT ["java","-Dfile.encoding=UTF-8","-Dspring.config.location=/opt/kkFileView-4.4.0/config/application.properties","-jar","/opt/kkFileView-4.4.0/bin/kkFileView-4.4.0.jar"]

View File

@ -10,11 +10,8 @@ RUN sed -i 's@//.*archive.ubuntu.com@//mirrors.aliyun.com@g' /etc/apt/sources.li
ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime &&\
localedef -i zh_CN -c -f UTF-8 -A /usr/share/locale/locale.alias zh_CN.UTF-8 &&\
locale-gen zh_CN.UTF-8 &&\
# 安装微软字体
apt-get install -y --no-install-recommends ttf-mscorefonts-installer &&\
# 安装文泉驿字体
apt-get install -y --no-install-recommends ttf-wqy-microhei ttf-wqy-zenhei xfonts-wqy &&\
# 清理临时文件
apt-get autoremove -y &&\
apt-get clean &&\
rm -rf /var/lib/apt/lists/*

View File

@ -6,7 +6,7 @@
<groupId>cn.keking</groupId>
<artifactId>kkFileView-parent</artifactId>
<version>4.4.0-beta</version>
<version>4.4.0</version>
<properties>
<java.version>1.8</java.version>

View File

@ -6,7 +6,7 @@
<parent>
<artifactId>kkFileView-parent</artifactId>
<groupId>cn.keking</groupId>
<version>4.4.0-beta</version>
<version>4.4.0</version>
</parent>
<artifactId>kkFileView</artifactId>

View File

@ -8,7 +8,7 @@ install_redhat() {
yum install -y libSM.x86_64 libXrender.x86_64 libXext.x86_64
yum groupinstall -y "X Window System"
yum localinstall -y *.rpm
echo 'install finshed...'
echo 'install finished...'
else
echo 'download package error...'
fi
@ -20,7 +20,7 @@ install_ubuntu() {
if [ $? -eq 0 ];then
apt-get install -y libxinerama1 libcairo2 libcups2 libx11-xcb1
dpkg -i *.deb
echo 'install finshed...'
echo 'install finished...'
else
echo 'download package error...'
fi

View File

@ -7,4 +7,4 @@ echo Please check log file in ../log/kkFileView.log for more information
echo You can get help in our official home site: https://kkview.cn
echo If you need further help, please join our kk opensource community: https://t.zsxq.com/09ZHSXbsQ
echo If this project is helpful to you, please star it on https://gitee.com/kekingcn/file-online-preview/stargazers
java -Dspring.config.location=..\config\application.properties -jar kkFileView-4.4.0-beta.jar -> ..\log\kkFileView.log
java -Dspring.config.location=..\config\application.properties -jar kkFileView-4.4.0.jar -> ..\log\kkFileView.log

View File

@ -9,7 +9,7 @@
# Description: v1.1pid
#############################
#
DIR_HOME=("/opt/openoffice.org3" "/opt/libreoffice" "/opt/libreoffice6.1" "/opt/libreoffice7.0" "/opt/libreoffice7.1" "/opt/libreoffice7.2" "/opt/libreoffice7.3" "/opt/libreoffice7.4" "/opt/libreoffice7.5" "/opt/libreoffice7.6" "/opt/openoffice4" "/usr/lib/openoffice" "/usr/lib/libreoffice")
DIR_HOME=("/opt/openoffice.org3" "/opt/libreoffice" "/opt/libreoffice6.1" "/opt/libreoffice7.0" "/opt/libreoffice7.1" "/opt/libreoffice7.2" "/opt/libreoffice7.3" "/opt/libreoffice7.4" "/opt/libreoffice7.5" "/opt/libreoffice7.6" "/opt/libreoffice24.2" "/opt/libreoffice24.8" "/opt/libreoffice25.2" "/opt/openoffice4" "/usr/lib/openoffice" "/usr/lib/libreoffice")
FLAG=
OFFICE_HOME=
KKFILEVIEW_BIN_FOLDER=$(cd "$(dirname "$0")" || exit 1 ;pwd)
@ -29,7 +29,7 @@ if [ -s "${PID_FILE}" ]; then
else
cd "$KKFILEVIEW_BIN_FOLDER" || exit 1
echo "Using KKFILEVIEW_BIN_FOLDER $KKFILEVIEW_BIN_FOLDER"
grep 'office\.home' ../config/application.properties | grep '!^#'
grep 'office\.home' ../config/application.properties | grep -v '^#' | grep -v 'default'
if [ $? -eq 0 ]; then
echo "Using customized office.home"
else
@ -51,7 +51,7 @@ else
## kkFileView
echo "Starting kkFileView..."
nohup java -Dfile.encoding=UTF-8 -Dspring.config.location=../config/application.properties -jar kkFileView-4.4.0-beta.jar > ../log/kkFileView.log 2>&1 &
nohup java -Dfile.encoding=UTF-8 -Dspring.config.location=../config/application.properties -jar kkFileView-4.4.0.jar > ../log/kkFileView.log 2>&1 &
echo "Please execute ./showlog.sh to check log for more information"
echo "You can get help in our official home site: https://kkview.cn"
echo "If you need further help, please join our kk opensource community: https://t.zsxq.com/09ZHSXbsQ"

View File

@ -3,7 +3,7 @@ server.port = ${KK_SERVER_PORT:8012}
server.servlet.context-path= ${KK_CONTEXT_PATH:/}
server.servlet.encoding.charset = utf-8
#GZIP
server.compression.enable= true
server.compression.enabled = true
#2048
server.compression.min-response-size = 2048
#

View File

@ -86,6 +86,9 @@ public class LocalOfficeUtils {
"/opt/libreoffice7.4",
"/opt/libreoffice7.5",
"/opt/libreoffice7.6",
"/opt/libreoffice24.2",
"/opt/libreoffice24.8",
"/opt/libreoffice25.2",
"/usr/lib64/libreoffice",
"/usr/lib/libreoffice",
"/usr/local/lib64/libreoffice",

View File

@ -7,7 +7,7 @@
|_|\_\ |_|\_\ |_| |_| |_| \___| \/ |_| \___| \_/\_/
=> Spring Boot :: ${spring-boot.version}
=> kkFileView :: 4.4.0-beta
=> kkFileView :: 4.4.0
=> Home site :: https://kkview.cn
=> Github :: https://github.com/kekingcn/kkFileView
=> Gitee :: https://gitee.com/kekingcn/file-online-preview

View File

@ -35,16 +35,56 @@
</div>
<div class="panel panel-success">
<div class="panel-heading">
<h3 class="panel-title">20250111v4.4.0</h3>
<h3 class="panel-title">20250116v4.4.0</h3>
</div>
<div class="panel-body">
<div>
1. 穿 <br>
2. PDF线PDF <br>
3. BUG <br>
4. xlsx emf <br>
5. Dockerfile, <br>
6. <br>
<h4></h4>
1. OFD <br>
2. xlsx <br>
3. CAD <br>
4. office <br>
5. markdown <br>
6. dcm <br>
7. PDF.JS <br>
8. ckplayer <br>
9. tif <br>
10. <br>
11. 访 <br>
12. bootstrap <br>
13. epub epub <br>
14. <br>
15. Office LibreOffice 7.5 & 7.6 <br>
16. drawio <br>
17. PDF 线 PDF <br>
18. Dockerfile <br>
<br>
<h4></h4>
1. xlsx <br>
2. GZIP <br>
3. CAD SVG TIF 线 <br>
4. 使 <br>
5. xbrl <br>
6. PDF <br>
7. CSV <br>
8. ARM64 Docker <br>
9. Office <br>
10. host <br>
<br>
<h4></h4>
1. forceUpdatedCache <br>
2. PDF <br>
3. BPMN <br>
4. <br>
5. <br>
6. TXT <br>
7. Drawio Base64 <br>
8. Markdown <br>
9. EPUB <br>
10. URL <br>
11. 穿 <br>
12. BUG <br>
13. XLSX EMF <br>
</div>
</div>
</div>
@ -61,8 +101,8 @@
3. forceUpdatedCache <br>
4. GZIP <br>
5. CAD,CAD svg tif 线 <br>
6. <br>
7. office <br>
6. <br>
7. office <br>
8. xbrl <br>
9. PDF <br>
10. markdown markdown <br>